Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Try Vanilla Forums Cloud product
Please upgrade here. These earlier versions are no longer being updated and have security issues.

The addon could not be enabled because it generated a fatal error:

This discussion is related to the IP2Location addon.

IP2Location version 1.1.0 seems to contain empty files.
Downgraded back to older versions, but got the message;
"The addon could not be enabled because it generated a fatal error: The plugin folder was not properly defined."
Please could you fix the plugin?

Comments

  • vrijvlindervrijvlinder Papillon-Sauvage MVP
    edited March 2017

    Please look at your server error logs and see what the exact error is. Looking at the main file, I would remove the closing php tag in the end of the file . That has been known to cause problems. Then check to make sure it is compatible with Vanilla 2.3. The error logs should be able to tell you what it is.

    If in the plugin it says required version is lower etc.. remove that line from the description array and see if that works.

  • @vrijvlinder - removing the closing php tag fixed the problem.
    Thanks

    vrijvlinder
Sign In or Register to comment.